Package com.sas.services.mgmt

# Interface ServiceNotificationBroadcasterInterface

All Superinterfaces:
  `Remote`

All Known Subinterfaces:
  `AuthenticationServiceInterface`, `DiscoveryServiceInterface`, `EventBrokerDiscoveryServiceInterface`, `EventBrokerServiceInterface`, `InformationServiceInterface`, `LocalDiscoveryServiceInterface`, `RemoteDiscoveryServiceInterface`, `RemoteServiceInterface`, `ServiceInterface`, `SessionServiceInterface`, `StoredProcessServiceInterface`, `UserServiceInterface`

All Known Implementing Classes:
  `AbstractDiscoveryService`, `AbstractRemoteService`, `AbstractService`, `ActivatableDiscoveryService`, `AuthenticationService`, `DiscoveryService`, `EventBrokerDiscoveryService`, `EventBrokerService`, `InformationService`, `RemoteDiscoveryServiceProxy`, `ServiceNotificationBroadcaster`, `ServiceProxy`, `SessionService`, `SessionServiceProxy`, `StoredProcessServiceProxy`, `UserService`

public interface ServiceNotificationBroadcasterInterface extends Remote
Interface used to add/remove platform service observers.

Since:
  1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addServiceObserver(ServiceRemoteObserverInterface serviceObserver)`
  Adds a platform service observer.
  `void`
  `notifyServiceObservers(ServiceEvent serviceEvent)`
  Notify all registered service observers of the specified service event.
  `void`
  `removeAllServiceObservers()`
  Removes all service observers.
  `void`
  `removeServiceObserver(ServiceRemoteObserverInterface serviceObserver)`
  Removes a platform service observer.

- ## Method Details

  - ### addServiceObserver

    void addServiceObserver(ServiceRemoteObserverInterface serviceObserver) throws RemoteException
    Adds a platform service observer.
    Parameters:
      `serviceObserver` - An observer interested in receiving service notifications.
    Throws:
      `RemoteException` - if a network anomaly is encountered.

  - ### removeServiceObserver

    void removeServiceObserver(ServiceRemoteObserverInterface serviceObserver) throws RemoteException
    Removes a platform service observer.
    Parameters:
      `serviceObserver` - An observer no longer interested in receiving service notifications.
    Throws:
      `RemoteException` - if a network anomaly is encountered.

  - ### removeAllServiceObservers

    void removeAllServiceObservers() throws RemoteException
    Removes all service observers.
    Throws:
      `RemoteException` - if a network anomaly is encountered.

  - ### notifyServiceObservers

    void notifyServiceObservers(ServiceEvent serviceEvent) throws RemoteException
    Notify all registered service observers of the specified service event.
    Parameters:
      `serviceEvent` - Service event to be broadcast to all registered service observers.
    Throws:
      `RemoteException` - if a network anomaly is encountered.